
%global meadversion 3.4.7
%global namedversion 3.4.7.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jboss-xnio-base}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.4.7.Final-redhat-1

Name:           %{?scl_prefix}jboss-xnio-base
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        XNIO low level IO layer
Group:          Development/Libraries/Java

%if %with mead
Source100: xnio-all-3.4.7.Final-redhat-1-scm-sources.zip
Source102: xnio-api-3.4.7.Final-redhat-1.pom
Source103: xnio-api-3.4.7.Final-redhat-1-sources.jar
Source104: xnio-api-3.4.7.Final-redhat-1.jar
Source105: xnio-nio-3.4.7.Final-redhat-1.pom
Source106: xnio-nio-3.4.7.Final-redhat-1-sources.jar
Source107: xnio-nio-3.4.7.Final-redhat-1.jar
Source108: xnio-all-3.4.7.Final-redhat-1-project-sources.tar.gz
Source109: xnio-all-3.4.7.Final-redhat-1-javadoc.jar
Source110: xnio-all-3.4.7.Final-redhat-1.pom
%endif

License:        LGPLv2+
URL:            http://jboss.org/xnio/
Provides: 	xnio = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jboss-xnio-base-%{version}-%{release}-root

%description
XNIO is a simplified low-level I/O layer which can be used 
anywhere you are using NIO today. It frees you from the 
hassle of dealing with Selectors and the lack of NIO support 
for multicast sockets and non-socket I/O such as serial 
ports, while still maintaining all the capabilities present 
in NIO. Also, XNIO vastly simplifies implementation of 
channels, opening the door to supporting higer-level 
transport concepts (like SSL or virtual channels) with the 
same simple API.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-xnio-base
Group:          Development/Documentation

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n xnio -T -b 100

%build

%install
rm -rf %{buildroot}

# jars
mkdir -p %{buildroot}%{_javadir}
install -m 644 %{_sourcedir}/xnio-api-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/xnio-api-%{namedversion}.jar
install -m 644 %{_sourcedir}/xnio-api-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/xnio-api-%{namedversion}-sources.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/xnio-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/xnio-api-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/xnio-nio-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/xnio-nio-%{namedversion}-javadoc.jar
%endif
install -m 644 %{_sourcedir}/xnio-nio-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/xnio-nio-%{namedversion}.jar
install -m 644 %{_sourcedir}/xnio-nio-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/xnio-nio-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do ln -s ${jar} `echo $jar| sed  "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-xnio-base-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/xnio-all-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-xnio-base-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-xnio-base-%{namedversion} %{buildroot}%{_javadocdir}/jboss-xnio-base
%endif

%clean
rm -rf %{buildroot}

%files 
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}/xnio-api-%{namedversion}.jar
%{_javadir}/xnio-api.jar
%{_javadir}/xnio-api-%{namedversion}-sources.jar
%{_javadir}/xnio-api-sources.jar
%if %with javadoc
%{_javadir}/xnio-api-%{namedversion}-javadoc.jar
%{_javadir}/xnio-api-javadoc.jar
%endif
%{_javadir}/xnio-nio-%{namedversion}.jar
%{_javadir}/xnio-nio.jar
%{_javadir}/xnio-nio-%{namedversion}-sources.jar
%{_javadir}/xnio-nio-sources.jar
%if %with javadoc
%{_javadir}/xnio-nio-%{namedversion}-javadoc.jar
%{_javadir}/xnio-nio-javadoc.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-xnio-base-%{namedversion}
%{_javadocdir}/jboss-xnio-base
%endif


%changelog
* Thu Nov 09 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.4.7-1.Final_redhat_1.1
- Upgrade to 3.4.7.Final

* Mon Jun 19 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.4.6-1.Final_redhat_1.1
- Upgrade to 3.4.6.Final

* Wed Mar 29 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.4.4-1.Final_redhat_1.1
- Upgrade to 3.4.4.Final

* Thu Jan 19 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.4.3-2.Final_redhat_1.1
- Rewrap for 7.0.x

* Thu Jan 19 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.4.3-1.Final_redhat_1.1
- Rewrap for 7.0.x

* Thu Jan 19 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.4.3-1.Final_redhat_1.1
- Rewrap for 7.0.x

* Tue Nov 22 2016 Fernando Nasser <fnasser@redhat.com> - 3.4.1-2.Final_redhat_1.1
- Re-wrap for EAP 7.0.x

* Thu Nov 03 2016 Filip Kujikis <fkujikis@redhat.com> - 3.4.1-1.Final_redhat_1.1
- prod build for upstream tag 3.4.1.Final

* Tue Aug 09 2016 Petr Sakar <psakar@redhat.com> - 3.4.0-1.Final_redhat_1.1
- upgrade to 3.4.0.Final-redhat-1

* Tue Mar 08 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.3.5-1.Final_redhat_1.1
- Upgrade to 3.3.5.Final

* Mon Jan 04 2016 Hui Wang <huwang@redhat.com> - 3.3.4-1.Final_redhat_1.1
- Upgrade to 3.3.4.Final-redhat-1

* Mon Dec 07 2015 Hui Wang <huwang@redhat.com> - 3.3.3-1.Final_redhat_1.1
- Upgrade to 3.3.3.Final-redhat-1

* Wed Nov 04 2015 Hui Wang <huwang@redhat.com> - 3.3.2-1.Final_redhat_1.1
- Upgrade to 3.3.2.Final-redhat-1

* Wed Aug 26 2015 Hui Wang <huwang@redhat.com> - 3.4.0-1.Beta1_redhat_1.1
- Upgrade to 3.4.0.Beta1-redhat-1

* Sun Jul 05 2015 Hui Wang <huwang@redhat.com> - 3.3.1-1.Final_redhat_1.1
- Upgrade 3.3.1.Final-redhat-1

* Tue Feb 17 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.0.13-1.GA_redhat_1.1
- Upgrade to 3.0.13.GA

* Fri Nov 21 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.0.12-1.GA_redhat_1.1
- Upgrade to 3.0.12.GA

* Thu Sep 25 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.0.11-1.GA_redhat_2.1
- Upgrade 3.0.11.GA

* Mon Jun 02 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.0.10-1.GA_redhat_1.1
- 3.0.10.GA

* Fri May 30 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.0.10-1.GA_redhat_1.1
- 3.0.10.GA

* Mon Mar 03 2014 Lin Gao <lgao@redhat.com> - 3.1.0-1.Final_redhat_1.1
- Upgrade to 3.1.0.Final

* Mon Mar 03 2014 Lin Gao <lgao@redhat.com> - 3.1.0-1.Final_redhat_1.1
- Upgrade to 3.1.0.Final

* Tue Jan 14 2014 Paul Gier <pgier@redhat.com> - 3.0.9-1.GA_redhat_1.1
- Fix source zip name

* Tue Jan 14 2014 Paul Gier <pgier@redhat.com> - 3.0.9-1.GA_redhat_1.1
- Fix source zip name

* Tue Jan 14 2014 Paul Gier <pgier@redhat.com> - 3.0.9-1.GA_redhat_1.1
- Fix source zip name

* Tue Jan 14 2014 Paul Gier <pgier@redhat.com> - 3.0.9-1.GA_redhat_1.1
- Rebuild to fix source zip

* Tue Jan 14 2014 Paul Gier <pgier@redhat.com> - 3.0.9-1.GA_redhat_1.1
- Upgrade to 3.0.9.GA

* Fri Oct 05 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.0.7-1.GA_redhat_1
- Upgrade to 3.0.7.GA

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.0.6-2.GA_redhat_1
- Rebuild for MD5

* Thu Sep 13 2012 Hui Wang <huwang@redhat.com> - 0:3.0.6-1.GA_redhat_1
- Upgrade to 3.0.6.GA

* Tue Aug 29 2012 Hui Wang <huwang@redhat.com> - 0:3.0.5-1.GA_redhat_1
- Upgrade to 3.0.5.GA

* Mon Aug 20 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:3.0.4-3.GA_redhat_2.2
- Update poms for eap 6.0.1

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.0.4-2.GA_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.0.4-2.GA_redhat_1.1
- Rebuild using cache signing

* Thu May 24 2012 Fernando Nasser <fnasser@redhat.com>- 0:3.0.4-2.GA_redhat_1
- Remove javadocs foro nio as only the api part is public

* Thu May 24 2012 Hui Wang <huwang@redhat.com>- 0:3.0.4-1.GA_redhat_1
- Upgrade to 3.0.4.GA
- Fix installation path
- Enable javadoc subpackage

* Mon Mar 12 2012 Hui Wang <huwang@redhat.com>- 0:3.0.3-1.GA_redhat_1.2
- Use the binaries built in MEAD

* Fri Feb 17 2012 Hui Wang <huwang@redhat.com> 0:3.0.3-1.GA_redhat_1.1
- Upgrade to 3.0.3.GA

* Mon Jan 16 2012 Martha Benitez <mbenitez@redhat.com> 0:3.0.0-0.2.GA_redhat_1.1
- Adjust Release and add it to Provides: xnio

* Mon Jan 16 2012 Martha Benitez <mbenitez@redhat.com> 0:3.0.0-0.1.GA_redhat_1.1
- Add Provides: xnio

* Fri Jan 06 2012 Hui Wang <huwang@redhat.com> 0:3.0.0-0.1.GA_redhat_1
- Upgrade to 3.0.0.GA

* Wed Dec 14 2011 Hui Wang <huwang@redhat.com> 0:3.0.0-0.1.CR5_redhat_1
- Upgrade to 3.0.0.CR5

* Sat Nov 26 2011 Hui Wang <huwang@redhat.com> 0:3.0.0-0.1.CR4_redhat_1
- Upgrade to 3.0.0.CR4

* Tue Nov 22 2011 Hui Wang <huwang@redhat.com> 0:3.0.0-0.1.CR3_redhat_1
- Upgrade to 3.0.0.CR3
- Add COPYING.txt to files

* Tue Nov 22 2011 Hui Wang <huwang@redhat.com> 0:3.0.0-0.1.Beta8_redhat_1
- Upgrade to 3.0.0.Beta8
- Build with JDK7

* Wed Nov 09 2011 David Walluck <dwalluck@redhat.com> 0:3.0.0-5.Beta3_redhat_1
- remove incorrect maven2 requirement
- fix mvn command
- rebuild for indirect batik/fop dependencies
- fix reltag definition

* Tue Sep 27 2011 Hui Wang <huwang@redhat.com> - 3.0.0-4.Beta3
- Build for wolf
- Cleanup

* Mon Aug 08 2011 Yong Yang <yyang@redhat.com> - 3.0.0-3.Beta3
- Fix dep versions in pom.xml to the versions MEAD repo has

* Mon Aug 08 2011 Yong Yang <yyang@redhat.com> - 3.0.0-2.Beta3
- Build xnio with JDK6

* Tue Aug 2 2011 Lin Gao <lgao@redhat.com> - 3.0.0.Beta3-1
- upgrade to 3.0.0.Beta3
- build using mead
- rename all .patch to .patch.rpmbuild

* Thu Mar 31 2011 David Walluck <dwalluck@redhat.com> 0:1.2.1-6
- fix repolib option
- update License
- update BuildRoot
- Requires: jpackage-utils for main pkg and javadoc pkg
- fix dir ownership in main pkg and repolib pkg
- no bundled jars to remove
- fix patch macros
- don't mark javadoc as %%doc
- update %%defattr
- end repolib description with a dot
- call ant properly
- fix maven deps
- fix component-info.xml sed
- use full version in jar and javadoc dir names
- fix repolib permissions
- use proper macro for build root
- remove bundled bare poms
- use proper mvn-jpp deploy:deploy-file
- use settings.xml for mvn-jpp
- update jboss-xnio-base-build.patch

* Thu Mar 31 2011 Fernando Nasser <fnasser@redhat.com> - 0:1.2.1-5
- Rebuild due to signing failure in the last build

* Fri Dec 10 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.2.1-4
- Add maven2-brew contents to repolib

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.2.1-3.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redha.com> - 0:1.2.1-3
- Rebuild

* Thu Nov 12 2009 Yong Yang <yyang@redhat.com> - 0:1.2.1-2
- Add repolib

* Fri Sep 18 2009 Fernando Nasser <fnasser@redhat.com> - 0:1.2.1-1
- Upgrade to 1.2.1.GA

* Mon Aug 31 2009 Ralph Apel <r.apel at r-apel.de> - 0:1.2.0-1
- First release
